<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- vap-65 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<body leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg.gif');">
	<tr>
		<td>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background:url(images/top_bg.jpg) repeat-x top;">
  <tr>
    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="252"><img src="images/left-top.jpg" width="252" height="34"/></td>
        <td align="center" background="images/menu_bg.jpg"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
<xsl:call-template name="TOP-MENU"/>
          </tr>
        </table></td>
        <td width="23"><img src="" width="23" height="1" alt=""/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%" height="135"  border="0" cellpadding="0" cellspacing="0" background="images/headers_bg.jpg">
      <tr>
        <td style="background:url(images/headers.jpg) no-repeat left;padding-left:37px;"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="8" border="0"/></a></td>
            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="22" valign="top"><img src="images/left.jpg" width="22" height="406"/></td>
        <td height="100%" valign="top">
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/content_bg.gif">
          <tr>
            <td width="152" valign="top"><img src="images/headers_1.jpg" width="152" height="406"/></td>
            <td width="164" height="548" valign="top" bgcolor="#E2DEDB"><table width="100%" height="548"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="top" style="background:url(images/submenu_bg.jpg) repeat-x top;"><table width="100%" height="120"  border="0" cellpadding="0" cellspacing="0" bgcolor="#D5D1CD" >
                  <tr>
                    <td height="46" valign="top" style="padding-top:10px;padding-bottom:20px;background:url(images/submenu.jpg) no-repeat top;"><img name="" src="" width="164" height="1" alt=""/>
                        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                          <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
                      </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
            <td height="100%" valign="top" style="background:url(images/content.jpg) repeat-x top;padding:28px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="17"><table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td valign="top" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="22"><img name="" src="" width="22" height="1" alt=""/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="8" valign="top"><img src="images/conten_bottom.jpg" width="338" height="8"/></td>
  </tr>
  <tr>
    <td height="35" align="center" valign="bottom">
	<table  border="0" cellspacing="0" cellpadding="0">
      <tr>
<xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="40" align="center" valign="top" class="footer" style="padding-top:5px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
  </tr>
</table>
		</td>
	</tr>
</table>

</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td width="57" height="28" align="right"><img src="images/submenu_bullet.gif" border="0" alt="" hspace="5"/></td>
				<td><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td width="57" height="28" align="right"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt="" hspace="5"/></a></td>
					<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                  <tr>
                    <td colspan="2"><img src="images/sub_line.gif" width="164" height="2"/></td>
                    </tr>
						</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		
			<td align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   
			<td align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td><img src="images/bmenu_bullet.gif" width="1" height="16" hspace="24"/></td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

